curl --request GET \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/vpcs/{vpc_id}/ip-allocations \
--header 'Authorization: Bearer <token>'{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vpc_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vpc_name": "<string>",
"ip_address": "<string>",
"instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instance_name": "<string>",
"status": "reserved",
"allocation_type": "gateway",
"interface_index": 123,
"allocated_at": "2023-11-07T05:31:56Z",
"released_at": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}Returns all IP allocations in a VPC
curl --request GET \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/vpcs/{vpc_id}/ip-allocations \
--header 'Authorization: Bearer <token>'{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vpc_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vpc_name": "<string>",
"ip_address": "<string>",
"instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instance_name": "<string>",
"status": "reserved",
"allocation_type": "gateway",
"interface_index": 123,
"allocated_at": "2023-11-07T05:31:56Z",
"released_at": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}Documentation Index
Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt
Use this file to discover all available pages before exploring further.
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
A page number within the paginated result set.
Number of results to return per page.